## r-cran-dfoptim 2020.10

=== DESCRIPTION ===
Package: dfoptim
Type: Package
Title: Derivative-Free Optimization
Description: Derivative-Free optimization algorithms. These algorithms do not require gradient information. More importantly, they can be used to solve non-smooth optimization problems.
Depends: R (>= 2.10.1)
Version: 2020.10-1
Date: 2020-10-19
Author: Ravi Varadhan[aut, cre], Johns Hopkins University, Hans W. Borchers[aut],
        ABB Corporate Research, and Vincent Bechard[aut], HEC Montreal (Montreal University)
Maintainer: Ravi Varadhan <ravi.varadhan@jhu.edu>
URL: https://coah.jhu.edu/people/Faculty_personal_Pages/Varadhan.html
License: GPL (>= 2)
LazyLoad: yes
Repository: CRAN
NeedsCompilation: no
Packaged: 2020-10-19 21:43:04 UTC; rvaradhan
Date/Publication: 2020-10-20 16:40:02 UTC

## r-cran-dfoptim 2018.2-1

=== debian/changelog ===
r-cran-dfoptim (2018.2-1-3build1) groovy; urgency=medium

  * No-change rebuild against r-api-4.0

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 30 May 2020 09:53:17 +0000

r-cran-dfoptim (2018.2-1-3) unstable; urgency=medium

  * Transition upload.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 17:32:19 +0200

r-cran-dfoptim (2018.2-1-2) unstable; urgency=medium

  [ Dylan Aïssi ]
  * Team upload.
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.

 -- Andreas Tille <tille@debian.org>  Fri, 15 May 2020 17:31:27 +0200

r-cran-dfoptim (2018.2-1-1) unstable; urgency=medium

  * Initial release (closes: #952577)

 -- Andreas Tille <tille@debian.org>  Wed, 26 Feb 2020 13:38:23 +0100

=== debian/control ===
Source: r-cran-dfoptim
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 12),
               dh-r,
               r-base-dev
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dfoptim
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dfoptim.git
Homepage: https://cran.r-project.org/package=dfoptim
Rules-Requires-Root: no

Package: r-cran-dfoptim
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R derivative-free optimization
 Derivative-Free optimization algorithms. These algorithms do not require
 gradient information. More importantly, they can be used to solve non-
 smooth optimization problems.

## r-cran-dfoptim 2020.10-1

=== debian/changelog ===
r-cran-dfoptim (2020.10-1-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 13 (routine-update)

 -- Andreas Tille <tille@debian.org>  Mon, 26 Oct 2020 14:52:31 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: gnu-r
 Testsuite: autopkgtest-pkg-r
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev
 Standards-Version: 4.5.0

## r-cran-dfoptim 2023.1.0

=== DESCRIPTION ===
Package: dfoptim
Type: Package
Title: Derivative-Free Optimization
Description: Derivative-Free optimization algorithms. These algorithms do not require gradient information. More importantly, they can be used to solve non-smooth optimization problems.
Depends: R (>= 2.10.1)
Version: 2023.1.0
Date: 2023-08-21
Author: Ravi Varadhan[aut, cre], Johns Hopkins University, Hans W. Borchers[aut],
        ABB Corporate Research, and Vincent Bechard[aut], HEC Montreal (Montreal University)
Maintainer: Ravi Varadhan <ravi.varadhan@jhu.edu>
License: GPL (>= 2)
LazyLoad: yes
Repository: CRAN
NeedsCompilation: no
Packaged: 2023-08-22 21:47:10 UTC; rvaradh1
Date/Publication: 2023-08-23 17:00:02 UTC

=== debian/changelog ===
r-cran-dfoptim (2023.1.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Aug 2023 11:26:58 +0200

=== debian/control ===
Source: r-cran-dfoptim
Section: gnu-r
Priority: optional
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Andreas Tille <tille@debian.org>
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-dfoptim
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-dfoptim.git
Homepage: https://cran.r-project.org/package=dfoptim
Standards-Version: 4.6.2
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev
Testsuite: autopkgtest-pkg-r

Package: r-cran-dfoptim
Architecture: all
Depends: ${R:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R derivative-free optimization
 Derivative-Free optimization algorithms. These algorithms do not require
 gradient information. More importantly, they can be used to solve non-
 smooth optimization problems.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/dfoptim_([-\d.]*)\.tar\.gz
